Heimdalx509library: hx509 enviroment functions

# hx509 enviroment functions

## Functions
int | hx509_env_add (hx509_context context, hx509_env *env, const char *key, const char *value)
int | hx509_env_add_binding (hx509_context context, hx509_env *env, const char *key, hx509_env list)
const char * | hx509_env_lfind (hx509_context context, hx509_env env, const char *key, size_t len)
const char * | hx509_env_find (hx509_context context, hx509_env env, const char *key)
hx509_env | hx509_env_find_binding (hx509_context context, hx509_env env, const char *key)
void | hx509_env_free (hx509_env *env)

## Detailed Description

## Function Documentation

int hx509_env_add | ( | hx509_context | context,
|  | hx509_env * | env,
|  | const char * | key,
|  | const char * | value |
| ) |  |  |

Add a new key/value pair to the hx509_env.

Parameters:

  | context | A hx509 context.
  | env | enviroment to add the enviroment variable too.
  | key | key to add
  | value | value to add

Returns:
  An hx509 error code, see hx509_get_error_string().

int hx509_env_add_binding | ( | hx509_context | context,
|  | hx509_env * | env,
|  | const char * | key,
|  | hx509_env | list |
| ) |  |  |

Add a new key/binding pair to the hx509_env.

Parameters:

  | context | A hx509 context.
  | env | enviroment to add the enviroment variable too.
  | key | key to add
  | list | binding list to add

Returns:
  An hx509 error code, see hx509_get_error_string().

const char* hx509_env_find | ( | hx509_context | context,
|  | hx509_env | env,
|  | const char * | key |
| ) |  |  |

Search the hx509_env for a key.

Parameters:

  | context | A hx509 context.
  | env | enviroment to add the enviroment variable too.
  | key | key to search for.

Returns:
  the value if the key is found, NULL otherwise.

hx509_env hx509_env_find_binding | ( | hx509_context | context,
|  | hx509_env | env,
|  | const char * | key |
| ) |  |  |

Search the hx509_env for a binding.

Parameters:

  | context | A hx509 context.
  | env | enviroment to add the enviroment variable too.
  | key | key to search for.

Returns:
  the binding if the key is found, NULL if not found.

void hx509_env_free | ( | hx509_env * | env | ) |

Free an hx509_env enviroment context.

Parameters:

  | env | the enviroment to free.

const char* hx509_env_lfind | ( | hx509_context | context,
|  | hx509_env | env,
|  | const char * | key,
|  | size_t | len |
| ) |  |  |

Search the hx509_env for a length based key.

Parameters:

  | context | A hx509 context.
  | env | enviroment to add the enviroment variable too.
  | key | key to search for.
  | len | length of key.

Returns:
  the value if the key is found, NULL otherwise.